[LINUX] HOW-TO get Live TV with VDR and PVR-Testing Branch - Without manual compile!

  Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
ant_thomas Offline
Fan
Posts: 465
Joined: May 2008
Reputation: 0
Location: Manchester, UK
Post: #436
dushmaniac Wrote:@both:
the backend is removing and adding channels or is changing channel uid's. that's the backend's or the add-on's problem and xbmc is behaving as intended. contact the add-on author(s) if it's not working properly with vnsi.

This must be a change to the VNSI addon then because for me this issue has only appeared with this version of XBMC-PVR

Quote:@ant_thomas:
reset the epg database in the gui settings. if it's still failing after a reset, then post a debug log please.

Reset the EPG - http://pastebin.com/utupRcWJ
Made no difference.
Resetting the PVR database makes no difference.
Deleting the TV and EPG .db files makes no difference either.
No EPG.
find quote
opdenkamp Offline
Team-XBMC PVR Developer
Posts: 2,270
Joined: Feb 2009
Reputation: 29
Location: Heerlen, The Netherlands
Post: #437
I changed a number of thing on the PVR interface 2 weeks ago. I also did 99% of the required changes in all add-ons, but as I told in the post about this subject on the dev forum, I'm pretty sure I missed a thing or two in the other add-ons (other meaning not tvheadend, which I'm maintaining myself).

your problems both seem to be related to these changes.
1) like I said, the channel uid of channels are changing. xbmc interprets that as new channels, which will be added to the back of the channel list. the previous definition of that channel is no longer present in the channel list returned by the add-on, so that one will be removed from the channel list. so in the UI, you'll see that the position of a channel will change.
2) the add-on is returning no data when xbmc requests an epg table for a channel. problem in the add-on too.

so I suggest you contact pipelka and/or fernetmenta for these issues, as they are working on the vnsi add-on.

opdenkamp / dushmaniac

xbmc-pvr [Eden-PVR builds] [now included in mainline XBMC, so no more source link here :)]
personal website: [link]

Found a problem with PVR? Report it on Trac, under "PVR - core components". Please attach the full debug log.

If you like my work, please consider donating to me and/or Team XBMC.
find quote
decaturguy Offline
Senior Member
Posts: 184
Joined: Mar 2009
Reputation: 2
Location: Sweden
Post: #438
Thanks dushmaniac I'll do that.
find quote
dCrypt Offline
Junior Member
Posts: 42
Joined: May 2008
Reputation: 0
Post: #439
Hi, people.

I have an annoying problem since some versions ago.

I am using main PPAs from Lars/Dushmaniac.

The problem is probably due to the default library mode and UI change (The "Videos" menu shows a "Files" placeholder for standard XBMC video sources). When a USB pendrive is plugged in, a DVD is loaded in the optical drive, so it gets automounted, it is properly shown under "Programs" or "Music", but it is missing from "Videos".

The latest nightly build (non PVR version) is working, so I guess there should be a patch available which has not been applied yet to the main PVR build.

Kind regards.
find quote
opdenkamp Offline
Team-XBMC PVR Developer
Posts: 2,270
Joined: Feb 2009
Reputation: 29
Location: Heerlen, The Netherlands
Post: #440
it'll be merged automatically before the next release. the ppa release is normally one week behind xbmc/master, because I need a stable environment to work on.

opdenkamp / dushmaniac

xbmc-pvr [Eden-PVR builds] [now included in mainline XBMC, so no more source link here :)]
personal website: [link]

Found a problem with PVR? Report it on Trac, under "PVR - core components". Please attach the full debug log.

If you like my work, please consider donating to me and/or Team XBMC.
find quote
dCrypt Offline
Junior Member
Posts: 42
Joined: May 2008
Reputation: 0
Post: #441
I've tested version 2:11.0-pvr+odk38~git20110521.09c02fa in both Linux and Windows, and this problem seems to be present only in the Linux platform; Windows version behaves perfectly.
find quote
dCrypt Offline
Junior Member
Posts: 42
Joined: May 2008
Reputation: 0
Post: #442
odk40, both Maverick and Natty, still have this problem.
find quote
mk78 Offline
Junior Member
Posts: 17
Joined: Apr 2011
Reputation: 0
Post: #443
mulder77de Wrote:OK, I compiled that version on F11 and finally got it running.
Thanks for that advice!

What did you do?
I have the same error on my TBS6981 card...
Code:
stopping after fatal fail (vdr: no primary device found - using first device!)
find quote
Mossiba Offline
Junior Member
Posts: 13
Joined: Jan 2010
Reputation: 0
Post: #444
I have a problem with folowing the easy how to.
I'm running ubuntu linux 2.6.35-30, with XBMC PRE-11.0 compiled on July 18 2011, and vdr 1.7.17.
The installation of this all went without any problem. I even scanned all the channels without any problem. But when I activate live tv in xbmc, and the vnsi addon, I don't get the channel list in xbmc.

Is there someone who can help me with this? it's frustrating me, because I already tried all kind of things, even reinstalling everything
find quote
Mossiba Offline
Junior Member
Posts: 13
Joined: Jan 2010
Reputation: 0
Post: #445
I'm a little bit further. the channellist must be placed in /var/lib/vdr/channels.conf instead of /etc/vdr/channels.conf. To be adapted in the first post of this topic?

Problem is now that loading channels on xbmc start-up takes ages.... If I keep less then 50 channels, XBMC can load them. But when I want to load all my channels, XBMC crashes after a while.

Somebody has the same problem?
find quote
chillje Offline
Junior Member
Posts: 6
Joined: Aug 2011
Reputation: 0
Post: #446
Thx for this thread, it helps me very well.

But one thing..
Can I configure XBMC or VDR to make it possible pause and/or reverse live tv?

thx in advance
find quote
pyderdyne Offline
Junior Member
Posts: 1
Joined: Sep 2015
Reputation: 0
Post: #447
Doesnt work:

[email protected]:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
linux-generic linux-headers-generic linux-image-generic
The following packages will be upgraded:
libtag1-vanilla libtag1c2a
2 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Need to get 311 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu/ vivid/main libtag1-vanilla amd64 1.9.1-2.2~ppa~vivid [293 kB]
Get:2 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu/ vivid/main libtag1c2a amd64 1.9.1-2.2~ppa~vivid [17.8 kB]
Fetched 311 kB in 1s (156 kB/s)
(Reading database ... 214558 files and directories currently installed.)
Preparing to unpack .../libtag1-vanilla_1.9.1-2.2~ppa~vivid_amd64.deb ...
Unpacking libtag1-vanilla:amd64 (1.9.1-2.2~ppa~vivid) over (1.9.1-2.1ubuntu1) ...
Preparing to unpack .../libtag1c2a_1.9.1-2.2~ppa~vivid_amd64.deb ...
Unpacking libtag1c2a:amd64 (1.9.1-2.2~ppa~vivid) over (1.9.1-2.1ubuntu1) ...
Setting up libtag1-vanilla:amd64 (1.9.1-2.2~ppa~vivid) ...
Setting up libtag1c2a:amd64 (1.9.1-2.2~ppa~vivid) ...
Processing triggers for libc-bin (2.21-0ubuntu4) ...
[email protected]:~# apt-get install vdr-plugin-vnsiserver
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
vdr-plugin-vnsiserver : Depends: vdr-abi-2.0.6-debian
E: Unable to correct problems, you have held broken packages.
[email protected]:~# apt-get autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
[email protected]:~# apt-get install vdr-plugin-xvdr
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package vdr-plugin-xvdr
[email protected]:~# add-apt-repository ppa:alexandr-surkov/vdr-maverick
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 101, in _get_https_content_py3
lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 321, in get_ppa_info
ret = get_ppa_info_from_lp(user, ppa)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 91, in get_ppa_info_from_lp
return get_info_from_lp(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 87, in get_info_from_lp
return _get_https_content_py3(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 107, in _get_https_content_py3
raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
softwareproperties.ppa.PPAException: 'Error reading https://launchpad.net/api/1.0/~alexandr-...-maverick: Not Found'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 101, in _get_https_content_py3
lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 119, in <module>
shortcut = shortcut_handler(line)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 837, in shortcut_handler
ret = factory(shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 382, in shortcut_handler
return PPAShortcutHandler(shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 346, in __init__
info = get_ppa_info(self.shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 333, in get_ppa_info
_get_suggested_ppa_message(user, ppa))
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 292, in _get_suggested_ppa_message
lp_user = get_info_from_lp(LAUNCHPAD_USER_API % user)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 87, in get_info_from_lp
return _get_https_content_py3(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 107, in _get_https_content_py3
raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
softwareproperties.ppa.PPAException: 'Error reading https://launchpad.net/api/1.0/~alexandr-surkov: Not Found'
[email protected]:~# add-apt-repository ppa:alexandr-surkov/vdr-maverick
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 101, in _get_https_content_py3
lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 321, in get_ppa_info
ret = get_ppa_info_from_lp(user, ppa)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 91, in get_ppa_info_from_lp
return get_info_from_lp(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 87, in get_info_from_lp
return _get_https_content_py3(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 107, in _get_https_content_py3
raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
softwareproperties.ppa.PPAException: 'Error reading https://launchpad.net/api/1.0/~alexandr-...-maverick: Not Found'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 101, in _get_https_content_py3
lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 119, in <module>
shortcut = shortcut_handler(line)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 837, in shortcut_handler
ret = factory(shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 382, in shortcut_handler
return PPAShortcutHandler(shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 346, in __init__
info = get_ppa_info(self.shortcut)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 333, in get_ppa_info
_get_suggested_ppa_message(user, ppa))
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 292, in _get_suggested_ppa_message
lp_user = get_info_from_lp(LAUNCHPAD_USER_API % user)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 87, in get_info_from_lp
return _get_https_content_py3(lp_url)
File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 107, in _get_https_content_py3
raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
softwareproperties.ppa.PPAException: 'Error reading https://launchpad.net/api/1.0/~alexandr-surkov: Not Found'


Ubuntu 15.04

How do I change my username?

Thanks.
find quote
Post Reply